Redmine - Defect #25197

duplicating groups with same project names (sub-project) in issues list
2017-02-25 21:13 - Alexander Protasov

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues list Estimated time: 0.00 hour

Target version:

Resolution: Affected version: 3.3.2

Description

A have a bug with issue list and projects with the same name.
On the demo.redmine.org you can see the projects and issues what can you demonstrate the bug.

Steps to reproduce:

1. Let's create three projects ABC, ABC2 and ABC again in ABC2 (sub-project);

2. Let's create two issues for project ABC and "Start date" = 2017-02-25;

3. Let's create one issue for project ABC and "Start date" = 2017-02-27;

4. Let's create one issue for project ABC\ABC2 and "Start date" = 2017-02-26;

5. Let's create one query with group by project name and sorted by "Start date" field;

6. When we apply this query for the issues list — we can see three groups with ABC name, but there is must be only two of it!

Environment:
Redmine version 3.3.2.stable
Ruby version 2.1.10-p492 (2016-04-01) [x86_64-1linux]
Rails version 4.2.7.1
Environment production
Database adapter Mysqgl2

SCM:
Subversion 1.9.5
Cvs 1.12.13
Git 2.7.4
Filesystem

Redmine plugins:
redmine_checklists 3.1.5
redmine_default_assign 0.6
redmine_default_custom_query 1.2.0
sidebar_hide 0.0.8

History

#1 - 2017-02-25 21:17 - Alexander Protasov

Is there any possibility to write the full name of the project in the group name in issues list?
"ABC" for the first two issues and "ABC2 \\ ABC" for the third issue?

#2 - 2017-03-26 05:48 - Toshi MARUYAMA

- Subject changed from duplicating groups with same project names in issues list to duplicating groups with same project names (sub-project) in

issues list

Files

CHuMok akpaHa 2017-02-25 B 22.52.40.png 281 KB 2017-02-25 Alexander Protasov
CHumok akpaHa 2017-02-25 B 22.59.58.png 378 KB 2017-02-25 Alexander Protasov
CHumok akpaHa 2017-02-25 B 23.00.06.png 272 KB 2017-02-25 Alexander Protasov

2025-05-05 1/1


http://www.tcpdf.org

